
Redmine - Patch #23764

closed_on field of copied issue is always set to source issue's value

2016-09-05 11:26 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.7   

Description

When we copy a closed issue, the value of "closed_on" of copied issue is always set to source issue's value, even if the status of

copied issue is not closed. I think it should be nil because the copied issue have not been closed before.

Steps to reproduce:

1. Create a closed issue (Issue_A).

2. Click "Copy" on Issue_A.

3. Change status to "New" and create a new copied issue (Issue_B).

4. "closed_on" field of Issue_B should be nil, but the value is same with Issue_A.

Related issues:

Has duplicate Redmine - Defect #25151: Copied issues cause wrong reports: Ori... Closed

Associated revisions

Revision 15848 - 2016-10-01 09:43 - Jean-Philippe Lang

closed_on field of copied issue is always set to source issue's value (#23764).

Patch by Go MAEDA.

Revision 15870 - 2016-10-02 12:18 - Jean-Philippe Lang

Merged r15848 (#23764).

Revision 15871 - 2016-10-02 12:19 - Jean-Philippe Lang

Merged r15848 (#23764).

Revision 15872 - 2016-10-02 12:19 - Jean-Philippe Lang

Merged r15848 (#23764).

History

#1 - 2016-09-05 15:30 - Kohei Nakamura

Thank you, Maeda san.

I think probably many people want to solve this problem.

I hope this patch will include in the next version Redmine.

#2 - 2016-09-05 23:51 - Yuuki NARA

+1

#3 - 2016-09-06 09:50 - Jean-Philippe Lang

- Target version set to 3.1.7

#4 - 2016-10-01 09:43 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.
#5 - 2016-10-02 12:19 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2017-02-22 14:45 - Mischa The Evil

- Has duplicate Defect #25151: Copied issues cause wrong reports: Original issue is added to report list although search criteria only match the copied

issue and not the original issue added

Files

clear_closed_on.diff 1.99 KB 2016-09-05 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

